Package com.orchestranetworks.service.directory

# Class AuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.ws.rs.WebApplicationException
com.orchestranetworks.rest.LocalizedException
com.orchestranetworks.service.directory.AuthenticationException

All Implemented Interfaces:
  `Serializable`

public class AuthenticationException extends LocalizedException

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationException(UserMessage aMessage)`
  Note: message severity is not taken into account.
  `AuthenticationException(UserMessage aMessage, Throwable cause)`
  Note: message severity is not taken into account.
  `AuthenticationException(String aMessage)`
  Creates an exception with a non-localized message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class com.orchestranetworks.rest.LocalizedException

  `getErrorCode, getStatus, getUserMessage`

  ### Methods inherited from class jakarta.ws.rs.WebApplicationException

  `getResponse`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationException

    public AuthenticationException(UserMessage aMessage, Throwable cause)
    Note: message severity is not taken into account.

  - ### AuthenticationException

    public AuthenticationException(UserMessage aMessage)
    Note: message severity is not taken into account.

  - ### AuthenticationException

    public AuthenticationException(String aMessage)
    Creates an exception with a non-localized message.

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`